# encoding: utf-8

# File:	clients/responsefile.ycp
# Package:	Configuration of responsefile
# Summary:	Main file
# Authors:	Blair Merrell <bmerrell@novell.com>
#
# $Id: responsefile.ycp 18198 2004-07-23 13:42:29Z jsuchome $
#
# Main file for responsefile configuration. Uses all other files.
module Yast
  class ResponsefileClient < Client
    def main
      Yast.import "UI"

      #**
      # <h3>Configuration of responsefile</h3>

      textdomain "novell-responsefile"

      # The main ()
      Builtins.y2milestone("----------------------------------------")
      Builtins.y2milestone("Responsefile module started")

      Yast.import "Progress"
      Yast.import "Report"
      Yast.import "Summary"
      Yast.import "NovellAddonInstall"
      Yast.import "CommandLine"
      Yast.include self, "novell-responsefile/wizards.rb"

      @cmdline_description = {
        "id"         => "responsefile",
        # Command line help text for the Xresponsefile module
        "help"       => _(
          "Response File Generator"
        ),
        "guihandler" => fun_ref(method(:ResponsefileSequence), "any ()"),
        "initialize" => fun_ref(Responsefile.method(:Read), "boolean ()"),
        "finish"     => fun_ref(Responsefile.method(:Write), "boolean ()"),
        "actions"    => {
          # FIXME TODO: fill the functionality description here
          "netware" => {
            # Commandline command help
            "help"    => _(
              "Set in NetWare Install Mode"
            ),
            "example" => "responsefile netware",
            "handler" => fun_ref(
              method(:CommandHandler),
              "boolean (map <string, string>)"
            )
          }
        },
        "options" =>
          # FIXME TODO: fill the option descriptions here
          {},
        "mappings" =>
          # FIXME TODO: fill the mappings of actions and options here
          {}
      }

      # is this proposal or not?
      @propose = false
      @args = WFM.Args
      if Ops.greater_than(Builtins.size(@args), 0)
        if Ops.is_path?(WFM.Args(0)) && WFM.Args(0) == path(".propose")
          Builtins.y2milestone("Using PROPOSE mode")
          @propose = true
        end
      end

      # main ui function
      @ret = nil

      if @propose
        if Ops.get(
            NovellAddonInstall.products_to_configure,
            "responsefile",
            true
          )
          @ret = ResponsefileAutoSequence()
        else
          @ret = :next
        end
      else
        @ret = CommandLine.Run(@cmdline_description)
      end
      Builtins.y2debug("Responsefile module ret=%1", @ret)

      # Finish
      Builtins.y2milestone("Responsefile module finished")
      Builtins.y2milestone("----------------------------------------")

      deep_copy(@ret) 

      # EOF
    end
  end
end

Yast::ResponsefileClient.new.main
