# encoding: utf-8

# File:	include/novell-responsefile/helps.ycp
# Package:	Configuration of responsefile
# Summary:	Help texts of all the dialogs
# Authors:	Blair Merrell <bmerrell@novell.com>, Ken Neff <kneff@novell.com>
#
# $Id: helps.ycp 23442 2005-05-18 07:46:28Z visnov $
module Yast
  module NovellResponsefileHelpsInclude
    def initialize_novell_responsefile_helps(include_target)
      textdomain "novell-responsefile"

      # All helps are here
      @HELPS = {
        # Read dialog help 1/2
        "read"        => _(
          "<p><b><big>Initializing Response File Configuration</big></b><br>\nPlease wait...</p>\n"
        ) +
          # Read dialog help 2/2
          _(
            "<p><b><big>Aborting Initialization</big></b><br>\nSafely stop the configuration utility by clicking <b>Abort</b> now.</p>\n"
          ),
        # Write dialog help 1/2
        "write"       => _(
          "<p><b><big>Saving Response File Configuration</big></b><br>\nPlease wait...</p>\n"
        ) +
          # Write dialog help 2/2
          _(
            "<p><b><big>Aborting Saving:</big></b><br>\n" +
              "Stop the save procedure by clicking <b>Abort</b>.\n" +
              "This opens an additional dialog that indicates whether it is safe to do so.</p>\n"
          ),
        # Install type dialog help
        "branch"      => _(
          "<p><b><big>NetWare Install Type</big></b><br>\nSelect the install type.</p>\n"
        ),
        # Select Install Type dialog help 1/5
        "select"      => _(
          "<p><b><big>Select Install Type</big></b><br>\nSelect the install settings that you want this response file to support.</p>\n"
        ) +
          # Select Install Type dialog help 2/5
          _(
            "<p><b><big>Hardware Type</big></b><br>\n" +
              "Select one of the following options to create a response file for the type of hardware you are installing on:</p>\n" +
              "<p><b>Virtual:</b> Creates a response file for a virtual NetWare installation.</p>\n" +
              "<p><b>Physical:</b> Creates a response file for a physical NetWare installation.</p>\n"
          ) +
          # Select Install Type dialog help 3/5
          _(
            "<p><b><big>Installation Type</big></b><br>\n" +
              "Select one of the following options to create a response file to use for the type of NetWare installation or upgrade you are performing:</p>\n" +
              "<p><b>New Server:</b> Installing a new OES 2 NetWare server.</p>\n" +
              "<p><b>Server Upgrade:</b> Upgrading a NetWare server.</p>\n" +
              "<p><b>Factory Install:</b> Factory installation. The factory installation has two phases. First, the base server image is created with no configuration. Second the image is copied to multiple computers that are sent to customers. The customers then complete the second phase of the installation by configuring the server with options such as hostname, IP address, and tree name.</p>\n" +
              "The <b>Image</b> option creates the response file for creating the server image. The <b>Configuration</b> option creates the response file for configuring the server.</p>\n" +
              "<p><b>Important:</b> To use the Factory installation, you must have response files for both the image and the configuration.</p>\n"
          ) +
          # Select Install Type dialog help 4/5
          _(
            "<p><b><big>Use a Response File Template</big></b><br>\nSelect this option if you have a already created response file template <tt>filename.rsp</tt> and loaded it on the server. This file includes the values that you want to insert in your NetWare response file.</p>\n"
          ) +
          # Select Install Type dialog help 5/5
          _(
            "<p><b><big>Response File Template</big></b><br>\nType the path to the file, or browse to the file and select it.</p>\n"
          ),
        # Summary dialog help 1/1
        "summary"     => _(
          "<p><b><big>Server Configuration Information</big></b><br>\nSpecify the configuration information for your server for each of the sections listed.</p>\n"
        ),
        # Source Address dialog help 1/4
        "srcaddr"     => _(
          "<p><b><big>Source Properties</big></b><br>\nTo facilitate the automated installation or upgrade of NetWare servers, you can copy the NetWare installation files from NetWare 6.5 CD 1 (Operating System) and NetWare 6.5 CD 2 (Products) to a remote source server. You can then access these files from this source server instead of from a local CD/DVD drive or hard disk.</p>\n"
        ) +
          # Select Install Type dialog help 2/4
          _(
            "<p><b><big>Location Type</big></b><br>\nSelect the source location type and specify the source information for the installation files as required.</p>\n"
          ) +
          # Select Install Type dialog help 3/4
          _(
            "<p><b><big>Remote NetWare Server</big></b><br>\n" +
              "Selecting this option requires you to specify the following information:</p>\n" +
              "<p><b>Server Name:</b> The name of the source server containing the installation files.</p>\n" +
              "<p><b>Server IP Address:</b> The IP address of the source server.</p>\n" +
              "<p><b>Source Location Path:</b> The path to the folder where you copied the NetWare installation files on the source server.</p>\n"
          ) +
          # Select Install Type dialog help 4/4
          _(
            "<p><b><big>Local Storage (HDD, CD-ROM)</big></b><br>\nSelecting this options require you to either have the NetWare installation CDs or copy their contents to the local hard disk drive.</p>\n"
          ),
        # Source eDirectory dialog help 1/3
        "srcedir"     => _(
          "<p><b><big>Source eDirectory Properties</big></b><br>\nIf you are installing from a remote server, specify the eDirectory information to enable the NetWare installation program to authenticate to the tree and access the source installation files.</p>\n"
        ) +
          # Source eDirectory dialog help 2/3
          _(
            "<p><b><big>eDirectory Information</big></b><br>\n" +
              "Specify the following eDirectory information:</p>\n" +
              "<p><b>Tree Name:</b> The name of the eDirectory tree in which the source server's Server object exists.</p>\n" +
              "<p><b>Context for Server Object:</b> The full path of the source server object in the eDirectory tree. For example, if the source server object is in an Organizational Unit (OU) named Sales under the Organization (O) named Acme, the context would be OU=Sales.O=Acme or Sales.Acme.</p>\n"
          ) +
          # Source eDirectory dialog help 3/3
          _(
            "<p><b><big>User Information</big></b><br>\n" +
              "Specify the following User information:</p>\n" +
              "<p><b>User Name:</b> The Common Name (CN) of the user to use when logging in to the tree.</p>\n" +
              "<p><b>User Context:</b> The full eDirectory context for the user object.</p>\n" +
              "<p><b>Password:</b> The password for the user object. Retype the user's password to verify accuracy.</p>\n"
          ),
        # Destination Address dialog help  1/3
        "destaddr"    => _(
          "<p><b><big>Destination Properties</big></b><br>\nSpecify the required information for the destination server. The destination server is the new server for new server and factory installations or the server to be upgraded for upgrades.</p>\n"
        ) +
          # Destination Address dialog help  2/3
          _(
            "<p><b><big>Server Name</big></b><br>\n" +
              "For new servers and factory installations, specify a valid NetWare server name. The server name must be unique from all other servers in the eDirectory tree. The name can be between 2 and 47 alphanumeric characters and can contain underscores (_) and hyphens (-), but no spaces ( ). The first character cannot be a period (.).</p>\n" +
              "<p><b>IMPORTANT:</b> The server name must be different from the name that you plan to use for the eDirectory tree.</p>\n"
          ) +
          # Destination Address dialog help  3/3
          _(
            "<p><b><big>Server IP Address</big></b><br>\nIf you are creating a response file for a new server or server upgrade, type the IP address of the server in this field.</p>\n"
          ),
        # Destination eDirectory dialog help 1/3
        "destedir"    => _(
          "<p><b><big>Destination eDirectory Properties</big></b><br>\n" +
            "If the new server is to be installed into a new eDirectory tree, select the New Tree check box.\n" +
            "To install the server into an existing eDirectory tree, leave the check box deselected and specify the eDirectory and User Information.</p>\n"
        ) +
          # Destination eDirectory dialog help 2/3
          _(
            "<p><b><big>eDirectory Information</big></b><br>\n" +
              "Specify the following eDirectory information:</p>\n" +
              "<p><b>Tree Name:</b> The name of the eDirectory tree where you want the server's Server object to be created.</p>\n" +
              "<p><b>Context for Server Object:</b> The full path of the source server object in the eDirectory tree. For example, if the source server object is in an Organizational Unit (OU) named Sales under the Organization (O) named Acme, the context would be OU=Sales.O=Acme or Sales.Acme.</p>\n" +
              "<p><b>Replica Server IP Address:</b> The IP address of a server holding an eDirectory replica.</p>\n"
          ) +
          # Destination eDirectory dialog help 3/3
          _(
            "<p><b><big>User Information</big></b><br>\n" +
              "Specify the following User information:</p>\n" +
              "<p><b>User Name:</b> The Common Name (CN) of the Admin user with rights to install servers in the tree.</p>\n" +
              "<p><b>User Context:</b> The full eDirectory context for the Admin user object</p>\n" +
              "<p><b>Password:</b> The password for the Admin user. Retype the password to verify accuracy.</p>\n"
          ),
        # Destination Protocols dialog help 1/3
        "protocols"   => _(
          "<p><b><big>Protocols Properties</big></b><br>\nOES 2 NetWare provides support for the Internet Protocol (IP) and the Internetwork Packet Exchange (IPX) protocol. Both protocols can be assigned to a single network board, which allows the server to communicate using both IP and IPX. Select the protocol you want to use and specify the necessary information.</p>\n"
        ) +
          # Destination Protocols dialog help 2/3
          _(
            "<p><b><big>IP</big></b><br>\n" +
              "The IP protocol is selected by default and cannot be deselected. Specify the following information for this protocol:</p>\n" +
              "<p><b>IP Address:</b> Identifies each device on the network. The address consists of 32 bits, which are represented as decimal values separated by periods, such as 123.45.67.89. If your server will connect to the Internet, you must obtain a unique IP address. For information on receiving an IP address, contact your Internet service provider (ISP).</p>\n" +
              "<p><b>Subnet Mask:</b> Lets you break up your network into smaller networks. Your network might have too many nodes or be too geographically diverse to manage as a single network. Dividing your network into smaller networks lets the network routers filter and reduce the network activity seen by any of the nodes. However, dividing your network and using several network addresses might not be appropriate on a large network that needs to appear to network administrators as a single network.</p>\n" +
              "<p><b>Router (Gateway):</b> The address of the router that connects two different environments such as a LAN and the Internet. You can specify a specific router (gateway) address or you can rely on the network to automatically find the nearest router. If you specify the address, remember that the router must exist on your network segment.</p>\n"
          ) +
          # Destination Protocols dialog help 3/3
          _(
            "<p><b><big>IPX</big></b><br>\n" +
              "To enable IPX support on the server, select the IPX check box and specify the required information.</p>\n" +
              "<p><b>IPX Frame Types:</b> The basic installation selects the default IPX frame type for your network. You can add support for additional frame types by clicking the radio button for the desired frame types. Each frame type that is used on the network is treated as a logical network segment and requires its own IPX network address, even though each frame type is using the same network board and physical cable segment.</p>\n" +
              "<p><b>Server ID:</b> A hexadecimal number, one to eight digits (1 to FFFFFFFE), that identifies the server in IPX communications.</p>\n"
          ),
        # Destination Language dialog help
        "language"    => _(
          "<p><b><big>Language Properties</big></b><br>\n" +
            "The NetWare installation program supports multiple languages. If the server you are creating the response file for requires support for a language other than United States English, you can select the language and regional settings here.</p>\n" +
            "<p>For each setting, click the down-arrow to select the desired setting from a drop-down list.</p>\n"
        ),
        # Destination License dialog help 1/3
        "license"     => _(
          "<p><b><big>License Properties</big></b><br>\nNetWare servers must have a valid license in order to function. During the NetWare installation, the NICI keys (*.nfk) are read and used to create a license object in the eDirectory tree.</p>\n"
        ) +
          # Destination License dialog help 2/3
          _(
            "<p><b><big>NDS License Context</big></b><br>\nSpecify the container in eDirectory where you want the NetWare license object to be created. This is usually created at the Organization (O) level so that the license information can flow down to the entire tree.</p>\n"
          ) +
          # Destination License dialog help 3/3
          _(
            "<p><b><big>Install without Licenses:</big></b><br>\n" +
              "Although the server can be installed without a license, an unlicensed server allows only two user connections. After installation, you can use the Novell iManager utility to install the necessary licenses.</p>\n" +
              "<p>If no valid license file can be found during the response file installation, the install assumes that licenses will be installed later and continues with the installation.</p>\n"
          ),
        # SLP Configuration dialog help 1/6
        "slpconfig"   => _(
          "<p><b><big>SLP Configuration Properties</big></b><br>\nSpecify the Server Location Protocol (SLP) Information. SLP enables client applications to dynamically discover services in TCP/IP networks. Without SLP, network resources must be manually configured or specified in a separate configuration file.</p>\n"
        ) +
          # SLP Configuration dialog help 2/6
          _(
            "<p><b><big>Do Not Install SLP</big></b><br>\nSelect this option if you do not want to install SLP.</p>\n"
          ) +
          # SLP Configuration dialog help 3/6
          _(
            "<p><b><big>DA Configuration IP Address</big></b><br>\nSpecify the IP addresses of the Directory Agents (DAs) on your network. You can enter up to three IP addresses for Directory Agents.</p>\n"
          ) +
          # SLP Configuration dialog help 4/6
          _(
            "<p><b><big>Configure Server as Directory Agent (DA)</big></b><br>\nIf you do not have any DAs configured on your network or you want to add another one, you can configure this server to be a DA by selecting this option.</p>\n"
          ) +
          # SLP Configuration dialog help 5/6
          _(
            "<p><b><big>SLP Scope List</big></b><br>\n" +
              "Specify the scopes a Directory Agent (DA) must support.</p>\n" +
              "<p>Use commas to separate each scope. For example, net.slp.useScopes = myScope1, myScope2, myScope3</p>\n"
          ) +
          # SLP Configuration dialog help 6/6
          _(
            "<p><b><big>Enable Multicast Routing on This Server</big></b><br>\n" +
              "Select this option if you need multicast routing.</p>\n" +
              "<p>Multicast is necessary if you want to route SLP information accross a NetWare router and you are not using a Directory Agent in your network that you specifically contact for SLP information.</p>\n"
          ),
        # DNS Configuration dialog help 1/4
        "dnsconfig"   => _(
          "<p><b><big>DNS Properties</big></b><br>\nSpecify the DNS (domain name service) configuration information.</p>\n"
        ) +
          # DNS Configuration dialog help 2/4
          _(
            "<p><b><big>Host Name and Domain</big></b><br>\n" +
              "<b>Host Name:</b> The simple, readable name on the DNS server that matches this NetWare 6.5 server's name (or the name that you have bound to the network board, for such as: 'server1'.</p>\n" +
              "<p><b>Domain Name:</b> The hierarchical name that represents the organization of your network, such as example.com.</p>\n"
          ) +
          # DNS Configuration dialog help 3/4
          _(
            "<p><b><big>Name Server IP Address</big></b><br>\nThe IP address of one or more DNS servers that maintain the list containing this server's simple, readable name and IP address.</p>\n"
          ) +
          # DNS Configuration dialog help 4/4
          _(
            "<p><b><big>Verify the DNS Information</big></b><br>\nIf you want the install to verify the domain name service information for you, select this option.</p>\n"
          ),
        # Time Zone Configuration dialog help 1/3
        "timezone"    => _(
          "<p><b><big>Time Zone Configuration Properties</big></b><br>\nKeeping accurate time is a critical function for servers in an eDirectory tree. The reported time must be synchronized across the network in order to provide expiration dates and time stamps that establish the order of events taking place in eDirectory.</p>\n"
        ) +
          # Time Zone Configuration dialog help 2/3
          _(
            "<p><b><big>Time Zone</big></b><br>\n" +
              "Select the time zone the server will reside in from the list provided.</p>\n" +
              "<p>Each time zone region displays the standard time offset from GMT, which is the difference, in number of hours, between Greenwich Mean Time (GMT) and the time zone being selected. GMT is equivalent to Coordinated Universal Time (UTC).</p>\n"
          ) +
          # Time Zone Configuration dialog help 3/3
          _(
            "<p><b><big>Allow System to Adjust for Daylight Saving Time</big></b><br>\nIf you want the system to adjust automatically for daylight saving time, select this option.</p>\n"
          ),
        # Time Sync Configuration dialog help 1/5
        "timesync"    => _(
          "<p><b><big>Time Synchronization Properties</big></b><br>\nTime synchronization is a critical function for servers in an eDirectory tree. The reported time must be synchronized across the network in order to provide expiration dates and time stamps that establish the order of events taking place in eDirectory.</p>\n"
        ) +
          # Time Sync Configuration dialog help 2/5
          _(
            "<p><b><big>Time Server Protocol</big></b><br>\n" +
              "NetWare servers can use one of two available protocols for time synchronization:</p>\n" +
              "<p><b>NTPv3:</b> Select this option to use the Network Time Protocol for synchronizing time on your network. The xntpd.nlm that provides NTP time packets is also capable of providing Timesync packets for servers that require them, such as NetWare 5.0 and 4.2 servers.</p>\n" +
              "<p><b>Timesync:</b> Select this option to use the legacy time synchronization mechanism built in to NetWare. The timesync.nlm that provides Timesync packets is also capable of providing NTP packets for interoperability with other time servers.</p>\n"
          ) +
          # Time Sync Configuration dialog help 3/5
          _(
            "<p><b><big>Time Server Type</big></b><br>\n" +
              "If you are using the Timesync protocol provided by NetWare, its time synchronization scheme distinguishes four types of time servers. Three of these provide network time: Single Reference, Reference, and Primary. All other servers are called Secondary time servers because they receive their time from the time providers.</p>\n" +
              "<p><b>Single Reference:</b> The first server in a network is automatically designated as a Single Reference time server. It provides time to the entire network. </p>\n" +
              "<p><b>Reference:</b> A network usually has only one Reference time server. It provides a network time for all Primary time servers to migrate to. It is used on larger networks where Primary time servers are required. If more than one Reference time server exists, each must be synchronized to the same external time source, such as an atomic clock.</p>\n" +
              "<p><b>Primary:</b> A Primary time server is responsible for determining and setting the network time. It polls other primary and reference servers to determine the 'average network time.' The average network time is then distributed to other requesting servers.</p>\n" +
              "<p><b>Secondary:</b> By default, all servers except the first server are designated as Secondary time servers. These servers rely on other sources such as a Single Reference time server to provide them with the network time. A Secondary time server can get the network time from another Secondary time server or from a Single Reference, Reference, or Primary time server.</p>\n" +
              "<p>If the network has fewer than 30 servers, use the settings of a Single Reference time server (the first server installed in the tree) and Secondary time servers (all subsequent servers installed in the tree). If the network has more than 30 servers, you might need use different types of time servers to  customize the environment.</p>\n"
          ) +
          # Time Sync Configuration dialog help 4/5
          _(
            "<p><b><big>Use Timesync Configured Sources</big></b><br>\n" +
              "If you do not want to use the defaults when configuring the TimeSync protocol, select this option to configure the time sources and specify the information for the time sources.</p>\n" +
              "<p>You can specify Timesync time source information using one of three different formats: IP address, DNS Name, or Server Name (IPX required). If your time source uses NTP (Network Time Protocol), select the NTP check box to the right of the time source.</p>\n"
          ) +
          # Time Sync Configuration dialog help 5/5
          _(
            "<p><b><big>Time Source IP Address</big></b><br>\nWhen you configure the NTPv3 protocol, specify the IP addresses of your time providers in the Time Source IP Address fields. Further configuration might be required to fully implement your time server hierarchy. For more information, see the <i>Network Time Protocol (NTPv3) Administration Guide</i>.</p>\n"
          ),
        # Set Parameters dialog help 1/1
        "setparams"   => _(
          "<p><b><big>Set Parameters</big></b><br>\nTo add a new parameter, click Add. Type the new parameter, then click Add. After adding all the parameters you want, click Next.</p> \n"
        ),
        # Install Settings dialog help 1/6
        "install"     => _(
          "<p><b><big>Install Settings</big></b><br>\nSelect the actions that you want to occur during the installation.</p> \n"
        ) +
          # Install Settings dialog help 2/6
          _(
            "<p><b><big>Automatic Install Reboot</big></b><br>\n" +
              "Select whether you want the server to automatically reboot after the install is complete. The recommended setting is Yes.</p>\n" +
              "<p>Remove all floppy disks and bootable CDs from the target server before the reboot.</p>\n"
          ) +
          # Install Settings dialog help 3/6
          _(
            "<p><b><big>Unsupported Drivers</big></b><br>\nSelect whether you want the NetWare install to use untested LAN and disk drivers if no certified drivers can be found. The recommended setting is No.</p>\n"
          ) +
          # Install Settings dialog help 4/6
          _(
            "<p><b><big>Driver Install Type</big></b><br>\n" +
              "Select the action you want the installation to perform when it reaches the driver selection screen.</p>\n" +
              "<p><b>Default:</b> Automatically loads the driver information.</p>\n" +
              "<p><b>Manual:</b> Stops so you can manually specify the driver information.</p>\n"
          ) +
          # Install Settings dialog help 5/6
          _(
            "<p><b><big>Server Up On Reboot</big></b><br>\nSelect whether you want the server to come up after the system is rebooted.</p>\n"
          ) +
          # Install Settings dialog help 6/6
          _(
            "<p><b><big>Server Set Parameters</big></b><br>\nIf you want to change or add a Set parameter during the installation, click Edit. In the Add Set Parameter dialog, click Add. Type the new parameter, then click Add. After adding all the parameters you want, click Next.</p>\n"
          ),
        # Storage Configuration dialog help 1/3
        "storeconfig" => _(
          "<p><b><big>Storage Configuration</big></b><br>\nSpecify the storage configuration information.</p>\n"
        ) +
          # Storage Configuration dialog help 2/3
          _(
            "<p><b><big>Fat Partition Size (MB)</big></b><br>\nSpecify the size for the server's FAT boot partition. The recommended setting is 500 MB.</p>\n"
          ) +
          # Storage Configuration dialog help 3/3
          _(
            "<p><b><big>Sys Volume Size (MB)</big></b><br>\nSpecify the size for the server's sys: volume. The recommended setting is 9000 MB (approximately 9 GB).</p>\n"
          ),
        # Upgrade Settings dialog help 1/7
        "upgrade"     => _(
          "<p><b><big>Upgrade Settings</big></b><br>\nSpecify the settings for upgrading a server.</p>\n"
        ) +
          # Upgrade Settings dialog help 2/7
          _(
            "<p><b><big>Backup Boot Directory</big></b><br>\nSelect whether you want to back up the boot directory files. If so, specify the backup location.</p>\n"
          ) +
          # Upgrade Settings dialog help 3/7
          _(
            "<p><b><big>Automatic Upgrade Reboot</big></b><br>\nSelect whether you want the server to automatically reboot after the file copy is complete. The recommended setting is Yes.</p>\n"
          ) +
          # Upgrade Settings dialog help 4/7
          _(
            "<p><b><big>Unsupported Drivers</big></b><br>\nSelect whether you want the NetWare upgrade to use untested LAN and disk drivers if no certified drivers can be found. The recommended setting is No.</p>\n"
          ) +
          # Upgrade Settings dialog help 5/7
          _(
            "<p><b><big>Driver Upgrade Type (Default/Manual)</big></b><br>\n" +
              "Select the action you want the upgrade to perform when it reaches the driver selection screen.</p>\n" +
              "<p><b>Default:</b> Automatically loads the driver information.</p>\n" +
              "<p><b>Manual:</b> Stops so you can manually specify the driver information.</p>\n"
          ) +
          # Upgrade Settings dialog help 6/7
          _(
            "<p><b><big>Server Up On Reboot</big></b><br>\nSelect whether you want the server to come up after the system is rebooted. The recommended setting is Yes.</p>\n"
          ) +
          # Upgrade Settings dialog help 7/7
          _(
            "<p><b><big>Server Set Parameters</big></b><br>\nIf you want to change or add a Set parameter during the installation, click Edit. In the Add Set Parameter dialog, click Add. Type the new parameter, then click Add. After adding all the parameters you want, click Next.</p>\n"
          ),
        # Pattern Selection dialog help
        "patterns"    => _(
          "<p><b><big>Select Pattern</big></b><br>\nThese are the patterns available for installation with OES 2 NetWare. A pattern is a special purpose server that can be installed during the NetWare installation. Selecting the button next to the name of the pattern displays a description of the pattern in the description window.</p>\n"
        ),
        # Products Selection dialog help
        "products"    => _(
          "<p><b><big>Select Products</big></b><br>\n" +
            "Select the desired components that you want to install on this server. Dependencies for the component are automatically selected.</p>\n" +
            "<p>To view a description of a component, select the check box next to the component. A description is displayed in the description box.</p>\n" +
            "<p>Selecting a check box adds the component to the list of products and services to install. Deselecting a check box removes the component from the list of products and services to be installed.</p>\n" +
            "<p>To select all available components to install, click <b>Set All</b>. To uncheck all components, click <b>Clear All</b>.<p>\n"
        ),
        # NMAS Login Methods help 1/9
        "nmas"        => _(
          "<p><b><big>Novell Modular Authentication Services-Login Method</big></b><br>\nChoose the login methods that you want to install into eDirectory by selecting the appropriate check boxes.</p>\n"
        ) +
          # NMAS Login Methods help 2/9
          _(
            "<p>If you want to install all of the login methods into eDirectory, click <b>Set All</b>.</p>\n<p>If you want to clear all selections (except for the NDS and Challenge Response defaults), click <b>Clear All</b>.</p>\n"
          ) +
          # NMAS Login Method help 3/9
          _(
            "<p><b>Important:</b> The NMAS client software must be installed on each client workstation where you want to use the NMAS login methods. The NMAS client software is included with the Novell Client software.</p>\n"
          ) +
          # NMAS Login Methods help 4/9
          _(
            "<p><b>CertMutual</b><br>\nThe Certificate Mutual login method implements the Simple Authentication and Security Layer (SASL) EXTERNAL mechanism, which uses SSL certificates to provide client authentication to eDirectory through LDAP.</p>\n"
          ) +
          # NMAS Login Methods help 5/9
          _(
            "<p><b>Challenge Response</b><br>\nThe Challenge-Response login method works with the Identity Manager password self-service process. This method allows either an administrator or a user to define a password challenge question and a response, which are saved in the password policy. Then, when users forget their passwords, they can reset their own passwords by providing the correct response to the challenge question.</p>\n"
          ) +
          # NMAS Login Methods help 6/9
          _(
            "<p><b>DIGEST-MD5</b><br>\nThe Digest MD5 login method implements the Simple Authentication and Security Layer (SASL) DIGEST-MD5 mechanism as a means of authenticating the user to eDirectory through LDAP.</p>\n"
          ) +
          # NMAS Login Methods help 7/9
          _(
            "<p><b>NDS</b><br>\nThe NDS login method provides secure password challenge-response user authentication to eDirectory. This method supports the traditional NDS password when the NMAS client is in use. It is installed by default. Reinstallation is necessary only if the NDS login method object has been removed from the directory.</p>\n"
          ) +
          # NMAS Login Methods help 8/9
          _(
            "<p><b>Simple Password</b><br>\nThe Simple Password NMAS login method provides password authentication to eDirectory. The Simple Password is a more flexible but less secure alternative to the NDS password. Simple Passwords are stored in a secret store on the user object.</p>\n"
          ) +
          # NMAS Login Methods help 9/9
          _(
            "<p>For more information on these login methods, see Managing Login and Post-Login Methods and Sequences in the <i>Novell Modular Authentication Services (NMAS) Administration Guide</i>.</p>\n"
          ),
        # DNS/DHCP Configuration dialog help 1/6
        "dnsdhcp"     => _(
          "<p><b><big>DNS/DHCP Configuration</big></b><br>\n" +
            "Specify the eDirectory context for these objects:\n" +
            "<br>-DNS/DHCP Locator Object\n" +
            "<br>-DNS/DHCP Group Object\n" +
            "<br>-RootSrvr Zone</p>\n"
        ) +
          # DNS/DHCP Configuration dialog help 2/6
          _(
            "<p>The correct placement of these objects in the eDirectory tree is critical to the performance of these services in your network.</p>\n"
          ) +
          # DNS/DHCP Configuration dialog help 3/6
          _(
            "<p>Place the DNS/DHCP Group, the DNS/DHCP Locator, and the RootServerInfo Zone objects in a separate partition that is accessible from and replicated to all points of the network where NetWare 6.5 DNS/DHCP servers are located. This is because all NetWare 6.5 DNS/DHCP servers, iManager, and Management Console require access to these objects. </p>\n"
          ) +
          # DNS/DHCP Configuration dialog help 4/6
          _(
            "<p>Plan to also create an Organizational Unit (OU) container object near the top of your eDirectory tree. The location of this container object should be easily and widely accessible. Locate the DNS/DHCP Group and Locator objects and the RootServerInfo Zone object under the container object.</p>\n"
          ) +
          # DNS/DHCP Configuration dialog help 5/6
          _(
            "<p>Plan to create an Administrator Group object under the container object near the top of the eDirectory tree also. An administrator group should have Read and Write rights to all DNS/DHCP Locator object attributes except the global data and options fields. Members of this group can use the iManager utility or Management Console to create and modify DNS and DHCP objects.</p>\n"
          ) +
          # DNS/DHCP Configuration dialog help 6/6
          _(
            "<p>For more information, see 'Understanding DNS/DHCP Services' in the <i>OES 2: Novell DNS/DHCP Services for NetWare Administration Guide</i>.</p>\n"
          ),
        # iFolder Server Configuration dialog help 1/7
        "ifolder"     => _(
          "<p><b><big>iFolder Server Configuration</big></b><br>\nIf you selected to install Novell iFolder Storage Services on the Components dialog or if you selected a pattern installation that installs iFolder, use the settings on this dialog to specify configuration options for iFolder.</p>\n"
        ) +
          # iFolder Server Configuration dialog help 2/7
          _(
            "<p><b><big>LDAP Host Name or IP</big></b><br>\nSpecify the DNS name or IP address of the server that acts as your eDirectory LDAP server.</p>\n"
          ) +
          # iFolder Server Configuration dialog help 3/7
          _(
            "<p><b><big>LDAP Port, 389 (Clear Text) 636 (SSL)</big></b><br>\nBased on your security needs, specify the LDAP port type that you want to use for data exchanges between your LDAP server and your iFolder server.</p>\n"
          ) +
          # iFolder Server Configuration dialog help 4/7
          _(
            "<p><b><big>LDAP Context for Admin</big></b><br>\nSpecify the LDAP context of the container where your iFolder Admin User object is located.</p>\n"
          ) +
          # iFolder Server Configuration dialog help 5/7
          _(
            "<p><b><big>iFolder Server Host Name or IP</big></b><br>\nSpecify the DNS name or IP address of your iFolder server. The DNS name or IP address you provide must enable the iFolder server to be accessed from the users' computers.</p>\n"
          ) +
          # iFolder Server Configuration dialog help 6/7
          _(
            "<p><b><big>iFolder Admin Name</big></b><br>\nSpecify the default user ID for the iFolder administrator for this iFolder server. You can assign more than one user ID to be an iFolder administrator. If you are specifying more than one name, separate them with semicolons and with no spaces. (For example: admin;jsmith;jdoe.) The total number of entries cannot exceed 256 characters, including the semicolons.</p>\n"
          ) +
          # iFolder Server Configuration dialog help 7/7
          _(
            "<p><b><big>User Database Path</big></b><br>\nSpecify the path to the directory on the iFolder server where user data for all the iFolder accounts will be stored.</p>\n"
          ),
        #   MySQL Options Configuration dialog help 1/5
        "mysql"       => _(
          "<p><b><big>MySQL Database Configuration</big></b><br>\nIf you selected to install MySQL on the Components dialog or if you selected a pattern installation that installs MySQL, use the settings on this dialog to specify configuration options for MySQL.</p>\n"
        ) +
          #   MySQL Options Configuration dialog help 2/5
          _(
            "<p><b><big>Data Directory</big></b><br>\n" +
              "Specify the directory where you want the MySQL database to be stored.</p>\n" +
              "<p>The database must reside on an NSS volume. The recommended location is sys:/mysql/data.</p>\n"
          ) +
          #   MySQL Options Configuration dialog help 3/5
          _(
            "<p><b><big>Root Password</big></b><br>\n" +
              "Specify a password for the MySQL root user. The default is root. To better secure the database, specify a password other than root.</p>\n" +
              "<p>The MySQL root user is created as a supervisor who can do anything.</p>\n"
          ) +
          #   MySQL Options Configuration dialog help 4/5
          _(
            "<p><b><big>Confirm Root Password</big></b><br>\nRetype the password for the MySQL root user.</p>\n"
          ) +
          #   MySQL Options Configuration dialog help 5/5
          _(
            "<p><b><big>Secure Installation</big></b><br>\n" +
              "If you want to enable a secure installation, select this option (default).</p>\n" +
              "<p>By default, the root user can connect either from the local host or remotely. An anonymous user is also created that can connect from the local host or remotely and do anything with databases that have a name of 'test' or a name starting with 'test_'. This means that any local user can connect without a password and be treated as the anonymous user. A test database is also created.</p>\n" +
              "<p>If this option is selected, the only the root user is allowed to connect from the local host, a root password is required, and the anonymous user and the test database are not created.</p>\n"
          ),
        # exteNd Application Server and Database Configuration dialog help 1/13
        "extend"      => _(
          "<p><b><big>exteNd Application Server and Database Configuration </big></b><br>\nIf you chose to install the exteNd Application Server in the Components dialog, or if you selected a pattern installation that installs exteNd, use this dialog to specify some basic settings for the application server configuration and to specify configuration settings for the MySQL database to be used as the application server's SilverMaster.</p>\n"
        ) +
          # exteNd Application Server and Database Configuration dialog help 2/13
          _(
            "<p><b><big>Admin Name</big></b><br>\n" +
              "Specify the user name for the application server's administration account.</p>\n" +
              "<p>The install creates a user with this name and assigns Locksmith privileges to it. To better secure the application server, specify a username other than admin (default).</p>\n"
          ) +
          # exteNd Application Server and Database Configuration dialog help 3/13
          _(
            "<p><b><big>Admin Password</big></b><br>\n" +
              "Specify a password for the applications server's Admin.</p>\n" +
              "<p>To better secure the application server, specify a password other than admin (default).</p>\n"
          ) +
          # exteNd Application Server and Database Configuration dialog help 4/13
          _(
            "<p><b><big>Confirm Admin Password</big></b><br>\nRetype the password for the applications server's Admin.</p>\n"
          ) +
          # exteNd Application Server and Database Configuration dialog help 5/13
          _(
            "<p><b><big>HTTP Port</big></b><br>\n" +
              "Specify the HTTP port number that the application server will listen on.</p>\n" +
              "<p>Port 80 is used by the Apache HTTP Server installed with NetWare. However, when the application server's Web Server Integration (WSI) module for Apache is in use, it redirects requests from the Apache server (listening on port 80) to the application server (port 83).</p>\n"
          ) +
          # exteNd Application Server and Database Configuration dialog help 6/13
          _(
            "<p><b><big>MySQL Database Host</big></b><br>\nSpecify the name of the machine hosting the MySQL database in the field provided. The recommended setting is Localhost.</p>\n"
          ) +
          # exteNd Application Server and Database Configuration dialog help 7/13
          _(
            "<p><b><big>Restrict Access</big></b><br>\nIf you want to initially restrict user access to the application server, select this option.</p>\n"
          ) +
          # exteNd Application Server and Database Configuration dialog help 8/13
          _(
            "<p><b><big>DB Port</big></b><br>\nSpecify the port number for the MySQL database on the host machine. Port 3306 is  recommended.</p>\n"
          ) +
          # exteNd Application Server and Database Configuration dialog help 9/13
          _(
            "<p><b><big>DB User Name</big></b><br>\n" +
              "Specify a MySQL username to be used by the application server when logging in to the database.</p>\n" +
              "<p>The install creates a user with this name in the MySQL database and grants this user with rights to the SilverMaster system tables needed by the application server. To better secure the MySQL database, specify a username other than appserver (default).</p>\n"
          ) +
          # exteNd Application Server and Database Configuration dialog help 10/13
          _(
            "<p><b><big>DB User Password</big></b><br>\n" +
              "Specify a password for the database username.</p>\n" +
              "<p>To better secure the MySQL database, specify a password other than appserver (default).</p>\n"
          ) +
          # exteNd Application Server and Database Configuration dialog help 11/13
          _(
            "<p><b><big>Confirm DB User Password</big></b><br>\nRetype the password for the database username.</p>\n"
          ) +
          # exteNd Application Server and Database Configuration dialog help 12/13
          _(
            "<p><b><big>SilverMaster Name</big></b><br>\nSpecify the name of the MySQL database. SilverMaster50 is recommended.</p>\n"
          ) +
          # exteNd Application Server and Database Configuration dialog help 13/13
          _(
            "<p><b><big>Execute SilverMasterInit</big></b><br>\n" +
              "If you want to populate the MySQL database with the SilverMaster system tables needed by the application server, select this option.</p>\n" +
              "<p>If you are installing a secondary application server in a cluster, deselect this option.</p>\n"
          ),
        # Save Response File VM dialog help 1/7
        "rfsave"      => _(
          "<p><b><big>Save Response File</big></b><br>\nSpecify the response file save information.</p>\n"
        ) +
          # Save Response File VM dialog help 2/7
          _(
            "<p><b><big>Response File Name</big></b><br>\nSpecify a name for this response file.</p>\n"
          ) +
          # Save Response File VM dialog help 3/7
          _(
            "<p><b><big>Save Directory</big></b><br>\n" +
              "Specify the location on the local file system where you want to save the response file. Be sure to use a valid path ending with a forward slash (/) character.</p>\n" +
              "<p>The NetWare license files should be saved in this same location, if they are to be installed on the server.</p>\n"
          ) +
          # Save Response File VM dialog help 4/7
          _(
            "<p><b><big>Custom VM Name</big></b><br>\nSpecify a custom name for the virtual machine that you are creating. If you leave this field blank, the VM manager will name the virtual machine.</p>\n"
          ) +
          # Save Response File VM dialog help 5/7
          _(
            "<p><b><big>Start the VM Creation Wizard</big></b><br>\nIf you want to use this response file to install Virtualized NetWare, select this option to automatically start the Create a Virtual Machine Wizard and begin the process of creating a virtual machine and using this response file to install NetWare.</p>\n"
          ) +
          # Save Response File VM dialog help 6/7
          _(
            "<p><b><big>Installation Source Location</big></b><br>\nIf you selected the option Start the VM Creation Wizard, browse to and select the location of the installation source (DVD, .iso image, or NFS mount).</p>\n"
          ) +
          # Save Response File VM dialog help 7/7
          _(
            "<p><b><big>Installation Destination Location</big></b><br>\nSpecify the path to the server image that you previously created and now want to configure. The default location is /var/lib/xen/images/<i>vmname</i>.</p>\n"
          ),
        # Save Response File Physical dialog help 1/4
        "rfsavephy"   => _(
          "<p><b><big>Save Response File</big></b><br>\nSpecify the information for saving the response file.</p>\n"
        ) +
          # Save Response File Physical dialog help 2/4
          _(
            "<p><b><big>Response File Name</big></b><br>\nSpecify a name for this response file.</p>\n"
          ) +
          # Save Response File Physical dialog help 3/4
          _(
            "<p><b><big>Save Directory</big></b><br>\n" +
              "Specify the location on the local file system where you want to save the response file. Be sure to use a valid path ending with a forward slash (/) character.</p>\n" +
              "<p>The NetWare license files should be saved in this same location, if they are to be install on the server.</p>\n"
          ) +
          # Save Response File Physical dialog help 4/4
          _(
            "<p><b><big>Response File and License Install Location</big></b><br>\n" +
              "Select the path where the response file and install licenses will be accessed from during the install.</p>\n" +
              "<p>If you are saving a response file for Factory Install-Configure, do not change the default path.</p>\n"
          ),
        # Summary dialog help 1/3
        "summary1"    => _(
          "<p><b><big>Server Configuration Information</big></b><br>\nSpecify the configuration information for your server.</p>\n"
        ) +
          # Summary dialog help 2/3
          _(
            "<p><b><big>Adding a response file</big></b><br>\n" +
              "Choose a response file from the list of detected response files.\n" +
              "If your response file was not detected, use <b>Other (not detected)</b>.\n" +
              "Then click <b>Configure</b>.</p>\n"
          ) +
          # Summary dialog help 3/3
          _(
            "<p><b><big>Editing or Deleting</big></b><br>\nIf you click <b>Edit</b>, an additional dialog opens, where you can change the configuration.</p>\n"
          ),
        # Overview dialog help 1/3
        "overview"    => _(
          "<p><b><big>Response File Configuration Overview</big></b><br>\nUse this dialog to see an overview of installed response files, and to edit their configurations.</p>\n"
        ) +
          # Overview dialog help 2/3
          _(
            "<p><b><big>Adding a Response File</big></b><br>\nClick <b>Add</b> to configure a response file.</p>\n"
          ) +
          # Overview dialog help 3/3
          _(
            "<p><b><big>Editing or Deleting</big></b><br>\n" +
              "Select a response file to change or remove.\n" +
              "Then click <b>Edit</b> or <b>Delete</b> as desired.</p>\n"
          )
      } 

      # EOF
    end
  end
end
